TypeNames (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect
Class TypeNames

    java.lang.Object
      org.hibernate.dialect.TypeNames

    public class TypeNames

extends Object

This class maps a type to names. Associations may be marked with a capacity. Calling the get() method with a type and actual size n will return the associated name with smallest capacity >= n, if available and an unmarked default type otherwise. Eg, setting

            names.put(type,        "TEXT" );
            names.put(type,   255, "VARCHAR($l)" );
            names.put(type, 65534, "LONGVARCHAR($l)" );

will give you back the following:

      names.get(type)         // --> "TEXT" (default)
      names.get(type,    100) // --> "VARCHAR(100)" (100 is in [0:255])
      names.get(type,   1000) // --> "LONGVARCHAR(1000)" (1000 is in [256:65534])
      names.get(type, 100000) // --> "TEXT" (default)

On the other hand, simply putting

            names.put(type, "VARCHAR($l)" );

would result in

      names.get(type)        // --> "VARCHAR($l)" (will cause trouble)
      names.get(type, 100)   // --> "VARCHAR(100)"
      names.get(type, 10000) // --> "VARCHAR(10000)"

Constructor Summary
`TypeNames()`

Method Summary
`String` | `get(int typecode)` get default type name for specified type
`String` | `get(int typeCode, long size, int precision, int scale)` get type name for specified type and size
`void` | `put(int typecode, long capacity, String value)` set a type name for specified type key and capacity
`void` | `put(int typecode, String value)` set a default type name for specified type key

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeNames

    public TypeNames()

Method Detail

### get

    public String get(int typecode)
               throws MappingException

  get default type name for specified type

  Parameters:
    `typecode` - the type key
  Returns:
    the default type name associated with specified key
  Throws:
    `MappingException`

### get

    public String get(int typeCode,
                      long size,
                      int precision,
                      int scale)
               throws MappingException

  get type name for specified type and size

  Parameters:
    `typeCode` - the type key
    `size` - the SQL length
    `scale` - the SQL scale
    `precision` - the SQL precision
  Returns:
    the associated name with smallest capacity >= size, if available and the default type name otherwise
  Throws:
    `MappingException`

### put

    public void put(int typecode,
                    long capacity,
                    String value)

  set a type name for specified type key and capacity

  Parameters:
    `typecode` - the type key

### put

    public void put(int typecode,
                    String value)

  set a default type name for specified type key

  Parameters:
    `typecode` - the type key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.